<?php

// Mettre le xdebug dans php.ini

class UserController
{
    private Connection $con;

    function __construct()
    {
        try {
            global $dsn, $rep, $vues, $error;
            $model = new Model();
            $action = $_REQUEST['action'];
            switch ($action) {
                case NULL:
                    $model->goToHome();
                    break;
                case "signUp":
                    $model->signUp();
                    break;
                case "login":
                    $model->login();
                    break;
                case "goToPresentation":
                    $model->goToPresentation();
                    break;
                case "goToHome":
                    $model->goToHome();
                    break;
                case "goToLogin":
                    $model->goToLogin();
                    break;
                case "goToSignUp":
                    $model->goToSignUp();
                    break;
                case "goToEnigme":
                    $model->goToEnigme();
                    break;
                case "goToQueue":
                    $model->goToQueue();
                    break;
            }
        } catch (PDOException $e) {
            $error = $e->getMessage();
            require($rep . $vues['erreur']);
        } catch (Exception $e2) {
            $error = $e2->getMessage();
            require($rep . $vues['erreur']);
        }
    }
}